Read L3 Vpn Peer Config
Get the L3Vpn Configuration for the peer site. Peer config contains PSK; be careful when sharing or storing it.
- no enforcement point path specified: L3Vpn Peer Config will be evaluated on each enforcement point.
- {enforcement_point_path}: L3Vpn Peer Config is evaluated only on the given
enforcement point.
This API is deprecated. Please use GET /infra/tier-0s/
/locale-services/ /ipsec-vpn-services/default/sessions/L3VPN_ /peer-config instead.
Request
URI
GET
https://nsxmanager.your.domain/policy/api/v1/infra/tier-0s/{tier-0-id}/locale-services/{locale-service-id}/l3vpns/{l3vpn-id}/peer-config
COPY
Path Parameters
string
tier-0-id
Required
tier-0-id
string
locale-service-id
Required
locale-service-id
string
l3vpn-id
Required
l3vpn-id
Query Parameters
string
enforcement_point_path
Optional
String Path of the enforcement point
Responses
200
OK
Operation doesn't return any data structure
400
Returns
BadRequest
of type(s)
application/json
This response body class contains all of the following:
RelatedApiError ,
InlineApiError1
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string",
"related_errors": [
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string"
}
]
}
403
Returns
Forbidden
of type(s)
application/json
This response body class contains all of the following:
RelatedApiError ,
InlineApiError1
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string",
"related_errors": [
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string"
}
]
}
404
Not Found
Operation doesn't return any data structure
412
Returns
PreconditionFailed
of type(s)
application/json
This response body class contains all of the following:
RelatedApiError ,
InlineApiError1
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string",
"related_errors": [
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string"
}
]
}
500
Returns
InternalServerError
of type(s)
application/json
This response body class contains all of the following:
RelatedApiError ,
InlineApiError1
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string",
"related_errors": [
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string"
}
]
}
503
Returns
ServiceUnavailable
of type(s)
application/json
This response body class contains all of the following:
RelatedApiError ,
InlineApiError1
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string",
"related_errors": [
{
"details": "string",
"error_code": 0,
"error_message": "string",
"module_name": "string"
}
]
}